Name: 		sirius
Version: 	0.8.0
Release: 	3
Summary: 	Othello for Gnome.

Group: 		Amusements/Games
License:        GPL
URL: 		http://sirius.bitvis.nu/
Source0:	http://sirius.bitvis.nu/files/sirius-0.8.0.tar.gz
Patch0:		sirius-0.8.0-autoreconf.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:	libgnomeui-devel

%description
Sirius is a program for playing the game of othello. The program includes an AI
(Artificial Intelligence) opponent which plays at a very challenging level and
is actually quite hard to beat. The AI opponent's strength can therefore be
adjusted in several ways to give you a suitable opponent.

The AI opponent uses a plain alpha-beta search with hashing to figure out which
move to make. To be able to tell a good position from a bad one, it uses a
pattern based evaluation function. The pattern used is the 9 discs surrounding
each corner and the 8 discs creating the edge of the board. The evaluation
function also takes mobility, potential mobility and parity into count. For the
initial 9 moves the AI opponent optionally uses a simple opening book. During
midgame it searches and evaluates about 200.000 nodes per second on a PIII
750 MHz, in the endgame this number is significantly higher due to more
transpositions and a less expensive evaluation function.


%prep
%setup -q
%ifarch x86_64 
# patch was created after autoreconf -f -i and after removing autom4te.cache/
%patch0 -p 1 -b .autoreconf
%endif


%build
%configure
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Game                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-sirius.desktop


%changelog
* Fri Feb 11 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0.8.0-3
- Include autoreconf patch; Fixes x86_64 build

* Thu Nov 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.8.0-0.fdr.2
- Version bump/Spec cleanup.

* Mon Sep 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.0-0.fdr.1
- Updated to 0.8.0.

* Mon Jun 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.0-0.fdr.1
- Updated to 0.7.0.

* Thu May 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6.0-0.fdr.1
- Updated to 0.6.0.

* Tue May 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.5.0-0.fdr.3
- Added RPM_OPT_FLAGS.

* Tue May 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.5.0-0.fdr.2
- Added BuildReq gettext.
- Added findlang.
- Corrected typo in Description.
- Removed NEWS from doc.

* Tue May 06 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.5.0-0.fdr.1
- Updated to 0.5.0.
- Converted buildroot to RPM_BUILD_ROOT.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.4.0-0.fdr.4
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Added Epoch:0.

* Tue Mar 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.4.0-0.fdr.3
- removed %post and %postun.
- removed redundant Requires.
- removed INSTALL from %doc.
- modified desktop entry.

* Wed Mar 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.4.0-0.fdr.2
- Spec file cleanup.

* Wed Feb 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.4.0-1.fedora.1
- Initial RPM release.
